Add Documents
curl --request POST \
--url https://api.velt.dev/v2/organizations/documents/add \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"organizationId": "<string>",
"createOrganization": true,
"documents": [
{}
],
"folderId": "<string>",
"createFolder": true
}
}
'import requests
url = "https://api.velt.dev/v2/organizations/documents/add"
payload = { "data": {
"organizationId": "<string>",
"createOrganization": True,
"documents": [{}],
"folderId": "<string>",
"createFolder": True
} }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
organizationId: '<string>',
createOrganization: true,
documents: [{}],
folderId: '<string>',
createFolder: true
}
})
};
fetch('https://api.velt.dev/v2/organizations/documents/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"status": "success",
"message": "Document(s) added successfully.",
"data": {
"yourDocumentId": {
"success": true,
"id": "8121657101517513",
"message": "Added Successfully"
}
}
}
}
Documents
Add documents (v2)
Create new documents under an organization with metadata and folder placement using the Velt v2 REST API to bootstrap collaboration resources at scale.
POST
/
v2
/
organizations
/
documents
/
add
Add Documents
Use this API to add documents with metadata to an organization.
Endpoint
POST https://api.velt.dev/v2/organizations/documents/add
Headers
Your API key.
Your Auth Token.
Body
Params
Show properties
Show properties
Organization ID
If set to true, a new organization will be created (if it doesn’t exist) before the document(s) are created.
Array of Document objects
Folder ID to add the documents to.
If set to true and
folderId is provided but doesn’t exist, a new folder will be created before the document(s) are created.Example Requests
1. Create new documents
{
"data": {
"organizationId": "yourOrganizationId",
"documents": [
{
"documentId": "yourDocumentId",
"documentName": "Your Document Name"
}
]
}
}
2. Create new documents in a specific folder
{
"data": {
"organizationId": "yourOrganizationId",
"documents": [
{
"documentId": "yourDocumentId",
"documentName": "Your Document Name"
}
],
"folderId": "yourFolderId"
}
}
Response
Success Response
{
"result": {
"status": "success",
"message": "Document(s) added successfully.",
"data": {
"yourDocumentId": {
"success": true,
"id": "8121657101517513",
"message": "Added Successfully"
}
}
}
}
Failure Response
{
"error": {
"message": "ERROR_MESSAGE",
"status": "INVALID_ARGUMENT"
}
}
{
"result": {
"status": "success",
"message": "Document(s) added successfully.",
"data": {
"yourDocumentId": {
"success": true,
"id": "8121657101517513",
"message": "Added Successfully"
}
}
}
}
Was this page helpful?
⌘I

